import { sendInteractionResponse, SlashCommandOptions } from "@wackford/mod.ts";
import { AIs, checkAI } from "../ai/index.ts";

export default {
    name: "debug",
    description: "shows debug information",
    execute: async (bot, interaction) => {
        const AI = AIs[interaction?.channelId?.toString() as string];

        if (!checkAI(bot, interaction, AI)) return;

        await sendInteractionResponse(bot, interaction, {
            content: `Name: ${AI.name}\nDescription: ${AI.description}\nAI: ${AI.constructor.name}\nHistory: ${JSON.stringify(AI.memory ?? AI.history ?? "[unused]")}`,
            private: true
        });
    },
} as SlashCommandOptions;
